{-# LANGUAGE Arrows #-}

module Toc.Grammars.Latex where

import Language.Grammars.Grammar
import Language.Grammars.Murder

import Document.Grammars.Latex
import Document.Decl
import Toc.Decl

import Utils


gLatexToc sem = proc imported -> do
    let block = getNT cs_block imported
    
    toc  <-addNT-<   iI (pToc sem) "\\tableofcontents" Ii
    addProds-< (block, iI toc Ii)
    
    exportNTs -< imported
